Market overview
curl --request GET \
--url https://www.sharpe.ai/api/v1/tracker/market-overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/tracker/market-overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/tracker/market-overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"bitcoin": {
"price": 123,
"return_24h": 123
},
"ethereum": {
"price": 123,
"return_24h": 123
},
"fgi": 123,
"fgi_classification": "<string>",
"total_market_cap": 123,
"total_volume": 123,
"btc_market_share": 123,
"market_cap_return_24h": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Market Data
Market overview
Returns the latest BTC and ETH prices and 24h returns, Fear & Greed Index, total crypto market cap, 24h volume, BTC dominance (btc_market_share), the market cap’s 24h return, and snapshot timestamp. Returns and shares are fractions (0.573 is 57.3%). Auxiliary metrics are nullable when unavailable.
GET
/
v1
/
tracker
/
market-overview
Market overview
curl --request GET \
--url https://www.sharpe.ai/api/v1/tracker/market-overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/tracker/market-overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/tracker/market-overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"bitcoin": {
"price": 123,
"return_24h": 123
},
"ethereum": {
"price": 123,
"return_24h": 123
},
"fgi": 123,
"fgi_classification": "<string>",
"total_market_cap": 123,
"total_volume": 123,
"btc_market_share": 123,
"market_cap_return_24h": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

